package yb_suncode_pars

import (
	"hongze/hongze_yb/global"
)

func (item *YbSuncodePars) Create() (err error) {
	err = global.DEFAULT_MYSQL.Create(item).Error
	return
}

// GetSceneByKey 获取太阳码参数
func GetSceneByKey(key string) (item *YbSuncodePars, err error) {
	err = global.DEFAULT_MYSQL.Model(YbSuncodePars{}).
		Where("scene_key = ?", key).
		First(&item).Error
	return
}